using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HDL_ON
{
    /// <summary>
    /// a协议命令
    /// </summary>
    public enum CommandType_A
    {
        write,
        read,
    }

    /// <summary>
    /// 功能显示排序方式
    /// </summary>
    public enum SortOrder
    {
        /// <summary>
        /// 无排序方式
        /// </summary>
        None,
        /// <summary>
        /// 使用次数
        /// </summary>
        UsageCount,
        /// <summary>
        /// 使用频率
        /// </summary>
        UsageFrequency,
        /// <summary>
        /// 手动排序
        /// </summary>
        FixedSerialNumber,
    }

    /// <summary>
    /// 场景类型
    /// </summary>
    public enum SceneType
    {
        /// <summary>
        /// 普通场景
        /// </summary>
        OrdinaryScenes = 0x01,
        /// <summary>
        /// 电影changing
        /// </summary>
        MovieScene = 0x02,
    }

    /// <summary>
    /// 功能类别
    /// </summary>
    public enum FunctionType
    {
        Scene = 0x0001,
        MovieScene = 0x0002,
        Relay = 0x0202,
        Dimmer = 0x0201,
        RGB = 0x0204,
        Curtain = 0x0301,
        MotorCurtain = 0x0303,
        RollingShutter = 0x0304,
        AC = 0x0401,
        FloorHeating = 0x0402,

        Fan = 0x1002,
        TV = 0x1003,
        Socket =0x0102,

        PM10 = 0x0b01,
        PM25 = 0x0b02,
        Noise = 0x0b03,
        WindPower = 0x0b04,
        CO2 = 0x0b05,
        Temp = 0x0b06,
        TVOC = 0x0b07,
        Humidity = 0x0b08,
    }

    /// <summary>
    /// 功能类型
    /// </summary>
    public enum FunctionCategory
    {
        UnKown = int.MaxValue,
        /// <summary>
        /// 开关类
        /// </summary>
        SwitchDevice = 0x01,

        /// <summary>
        /// 场景
        /// </summary>
        Scene = 0x0A,
        /// <summary>
        /// 照明
        /// </summary>
        Light = 0x02,
        /// <summary>
        /// 遮阳
        /// </summary>
        Curtain = 0x03,
        /// <summary>
        /// 恒温器/空调/地热
        /// </summary>
        Thermostat = 0x04,
        ///// <summary>
        ///// 窗帘
        ///// </summary>
        //Curtain = 0x05,
        ///// <summary>
        ///// 空调
        ///// </summary>
        //AC = 0x06,
        ///// <summary>
        ///// 地热
        ///// </summary>
        //FloorHeating = 0x07,
        ///// <summary>
        ///// 新风
        ///// </summary>
        //FreshAir = 0x08,
        ///// <summary>
        ///// 按键
        ///// </summary>
        //Key = 0x09,
        ///// <summary>
        ///// 音乐
        ///// </summary>
        //Music = 0x0A,
        /// <summary>
        /// 传感器
        /// </summary>
        Sensor = 0x0B,
        ///// <summary>
        ///// 门锁
        ///// </summary>
        //DoorLook = 0x0C,
        ///// <summary>
        ///// 时间
        ///// </summary>
        //Timer = 0x0D,
        ///// <summary>
        ///// 计数器
        ///// </summary>
        //Counter = 0x0E,
        ///// <summary>
        ///// 地理围栏
        ///// </summary>
        //GeographicalFence = 0x0F,
        /// <summary>
        /// 电器
        /// </summary>
        Electrical = 0x10,
        ///// <summary>
        ///// 红外
        ///// </summary>
        //IR = 0x11,
        ///// <summary>
        ///// DMX
        ///// </summary>
        //DMX = 0x12,
        ///// <summary>
        ///// 电器
        ///// </summary>
        //EelectricAppliance = 0x13,
        ///// <summary>
        ///// 天气
        ///// </summary>
        //Weather = 0x14,
        //DoorLock=0x15,
        //Electric=0x16,
        //EnergyMonitoring = 0x17,
        //Environmental = 0x18,
        //Panel = 0x19,
        //SecurityMonitoring = 0x20,
        //VideoIntercom = 0x21,
    }


    /// <summary>
    /// 功能类型
    /// </summary>
    public enum ShowFunction
    {
        /// <summary>
        /// 场景
        /// </summary>
        Scene = 1,
        /// <summary>
        /// 逻辑
        /// </summary>
        Logic = 2,
        /// <summary>
        /// 安防
        /// </summary>
        Security = 3,
        /// <summary>
        /// 灯光
        /// </summary>
        Light = 0x04,
        /// <summary>
        /// 窗帘
        /// </summary>
        Curtain = 0x05,
        /// <summary>
        /// 空调
        /// </summary>
        AC = 0x06,
        /// <summary>
        /// 地热
        /// </summary>
        FloorHeating = 0x07,
        /// <summary>
        /// 新风
        /// </summary>
        FreshAir = 0x08,
        /// <summary>
        /// 按键
        /// </summary>
        Key = 0x09,
        /// <summary>
        /// 音乐
        /// </summary>
        Music = 0x0A,
        /// <summary>
        /// 传感器
        /// </summary>
        Sensor = 0x0B,
        /// <summary>
        /// 门锁
        /// </summary>
        DoorLook = 0x0C,
        /// <summary>
        /// 时间
        /// </summary>
        Timer = 0x0D,
        /// <summary>
        /// 计数器
        /// </summary>
        Counter = 0x0E,
        /// <summary>
        /// 地理围栏
        /// </summary>
        GeographicalFence = 0x0F,
        /// <summary>
        /// 干接点
        /// </summary>
        DryContact = 0x10,
        /// <summary>
        /// 红外
        /// </summary>
        IR = 0x11,
        /// <summary>
        /// DMX
        /// </summary>
        DMX = 0x12,
        /// <summary>
        /// 电器
        /// </summary>
        EelectricAppliance = 0x13,
        /// <summary>
        /// 天气
        /// </summary>
        Weather = 0x14,


        DoorLock = 0x15,

        Electric = 0x16,

        EnergyMonitoring = 0x17,

        Environmental = 0x18,

        Panel = 0x19,

        SecurityMonitoring = 0x20,

        VideoIntercom = 0x21,

    }




    public enum InfraredCode_TV
    {
        VolDown = 1,
        ChannelUp,//00002=频道+
        Menu,//00003=菜单
        ChannelDown,//00004=频道-
        VolUp,//00005=音量+
        Power,//00006=电源键
        Mute,//00007=静音
        One,//00008=1
        Two,//00009=2
        Three,//00010=3
        Four,//00011=4
        Five,//00012=5
        Six,//00013=6
        Seven,//00014=7
        Eight,//00015=8
        Nine,//00016=9
        Change,//00017=-/--
        Zero,//00018=0
        AV_TV,//00019=AV/TV
        Back,//00020=返回
        Confrim,//00021=确定
        Up,//00022=上
        Left,//00023=左
        Right,//00024=右
        Down,//00025=下
    }
}
