﻿using System;
using System.Collections.Generic;

namespace HDL_ON.Entity
{
    public class Scene : Function
    {
        public Scene()
        {
        }

        /// <summary>
        /// 场景类型
        /// </summary>
        public SceneType sceneType = SceneType.OrdinaryScenes;

        /// <summary>
        /// 场景背景
        /// </summary>
        public string ImagePath = "FunctionIcon/Scene/s1.png";

        /// <summary>
        /// bus场景数据
        /// </summary>
        public Dictionary<string, byte[]> bus_SceneData = new Dictionary<string, byte[]>();
    }
}
//5.1.14获取场景列表
//请求参数
//{
//	"namespace": "HDL",
//	"type": "scene",
//	"command": "get_list"
//}
//返回值 json格式 所有场景id及场景里执行的目标数据
//返回例子
//{
//	"namespace": "HDL",
//	"command": "get_list_respond",
//	"type": "scene",
//	"number": [{
//		"scene_id": "0001",
//		"scene_name": "dinner",
//		"objects": [{
//			   "sid": "00010019101209000025670100010001",
//"data_type": "string ",
//			"value": "on"
//		  }]
//	}]
//}
//说明 获取场景列表和属性，只开，只关，既开又关
	
//5.1.15创建场景
//请求参数
//{
//	"namespace": "HDL",
//	"command": "create",
//	"type": "scene",
//	"objects": [{
//		"scene_name": "Away ",
//		"status": "single_off"
//	}]
//}
//返回值 json格式
//返回例子	{
//	"namespace": "HDL",
//	"command": "create_respond",
//	"type": "scene",
//	"objects": [{
//		"scene_id": "0004",
//		"name": "Away",
//		"status": "single_off"
//	}]
//}
//说明 创建场景
	
//5.1.16添加目标到场景
//请求参数
//{
//	"namespace": "HDL",
//	"command": "add_member",
//	"type": "scene",
//	"number": [{
//		"scene_id": "0001",
//		"objects": [{
//			"sid": "00010019101209000025670100010001",
//			"function": [{
//				"attri": "switch",
//"data_type": "string ",
//				"value": "on"
//			}]

//		}]
//	}, {
//		"scene_id": "0002",
//		"objects": [{
//			"sid": "00010019101209000025670200010001",
//			"function": [{
//				"attri": "brightness",
//"data_type": "int",
//				"value": 50
//			}]
//		}]
//	}]
//}
//返回值 json格式
//返回例子	{
//	"namespace": "HDL",
//	"command": "add_member_respond",
//	"type": "scene",
//	"scene_id": "0001",
//	"value": "success"
//}
//说明 成功添加目标的场景列表
	
//5.1.17删除场景命令
//请求参数
//{
//	"namespace": "HDL",
//	"command": "delete",
//	"type": "scene",
//	"objects": [{
//		"scene_id": "0001"
//	}]
//}
//返回值 json格式
//返回例子	{
//	"namespace": "HDL",
//	"command": "delete_respond",
//	"type": "scene",
//	"scene_id": "0001",
//	"value": "success"
//}
//说明 删除场景
	
//5.1.18删除场景里的目标
//请求参数
//{
//	"Namespace": "HDL",
//	"Command": "delete_member",
//	"type": "scene",
//	"number": [{
//		"scene_id": "0001",
//		"objects": [{
//			"sid": "00010019101209000025670100010001"
//		}, {
//			"sid": "00010019101209000025670100010002"
//		}]
//	}]
//}
//返回值 json格式
//返回例子	{
//	"namespace": "HDL",
//	"command": "delete_member_respond",
//	"type": "scene",
//	"scenesid": "0001",
//	"sid": "00010019101209000025670100010001",
//	"value": "success"
//}
//说明 删除场景内设备
	
//5.1.19配置场景分组（足内场景状态自动记录最后一次记录）
//请求参数	{
//	"namespace": "HDL",
//	"command": "group",
//	"type": "scene",
//	"objects": [{
//		"group_id": 1,
//		"scene_ids": [{
//			"scene_id": "0001"
//		}, {
//			"scene_id": "0002"
//		}]
//	}]
//}
//返回值 json格式
//返回例子	{
//	"namespace": "HDL",
//	"command": "group_respond",
//	"type": "scene",
//	"group_id": "0001",
//	"value": "success"
//}
//说明 控制场景
	

//5.1.20读取场景分组
//请求参数
//{
//	"namespace": "HDL",
//	"command": "read_group",
//	"type": "scene",
//	"objects": [{
//		"group_id": 1
//	}]
//}
//返回值 json格式
//返回例子	{
//	"namespace": "HDL",
//	"command": "read_group_respond",
//	"type": "scene",
//	"objects": [{
//		"group_id": 1,
//		"scene_ids": [{
//			"scene_id": "0001"
//		}, {
//			"scene_id": "0002"
//		}]
//	}]
//}
//说明 控制场景
	

//5.1.21控制场景
//请求参数
//{
//	"namespace": "HDL",
//	"command": "contrl",
//	"type": "scene",
//	"objects": [{
//		"scene_id": "0001",
//		"value": “on”
//	}]
//}
//返回值 json格式
//返回例子	{
//	"namespace": "HDL",
//	"command": "contrl_respond",
//	"type": "scene",
//		"scene_id": "0001",
//		"value": "success"
//}
//说明 控制场景