﻿using System;
using System.Collections.Generic;
using HDL_ON.DAL;
using HDL_ON.Entity;
using Shared;

namespace HDL_ON
{
    [System.Serializable]
    public class OnAppConfig
    {

        static OnAppConfig instance;
        public static OnAppConfig Instance {
            get {
                if (instance == null) {
                    try {
                        var userConfigBytes = FileUtils.ReadFile ("OnAppConfig");
                        var userConfigString = CommonPage.MyEncodingUTF8.GetString (userConfigBytes);
                        OnAppConfig temp = null;
                        if (userConfigString != null) {
                            temp = Newtonsoft.Json.JsonConvert.DeserializeObject<OnAppConfig> (userConfigString);
                        }
                        if (temp == null) {
                            instance = new OnAppConfig { };
                        } else {
                            instance = temp;
                        }
                    } catch { }
                }
                return instance;
            }
        }

        byte [] GetUserConfigBytes ()
        {
            return CommonPage.MyEncodingUTF8.GetBytes (Newtonsoft.Json.JsonConvert.SerializeObject (this));
        }

        public void RefreshUserConfig ()
        {
            instance = null;
            SaveUserConfig ();
        }

        public void SaveUserConfig ()
        {
            FileUtils.WriteFileByBytes ("OnAppConfig", GetUserConfigBytes ());
        }
        /// <summary>
        /// 国家代码
        /// </summary>
        public string CountryCode;
        /// <summary>
        /// 国家编号
        /// </summary>
        public string CountryNumber ="86";
        /// <summary>
        /// 信息推送标记
        /// </summary>
        public string PushDeviceToken;

        /// <summary>
        /// 当前选择的楼层
        /// </summary>
        public string CurFoor = Language.StringByID(StringId.All);

        public Dictionary<string, int> SkinVision = new Dictionary<string, int> ();
        public Dictionary<string, int> DowlaodSkinVision = new Dictionary<string, int> ();
        /// <summary>
        /// 安防密码
        /// </summary>
        public string ArmPW = "85521566";

        /// <summary>
        /// 是否显示场景列表
        /// </summary>
        public bool ShowAlternativeScene = true;

        public string SetLanguage = "";

        //public RegionInfoRes CurrentRegion;
    }
}