﻿using System;
using System.Collections.Generic;

namespace HDL_ON.Entity
{
    /// <summary>
	/// 住宅成员的信息列表
	/// </summary>
    public class ResidenceMemberInfo
    {
        public ResidenceMemberInfo()
        {
            var ss = sharedDatas.Find((obj) => obj.HouseDistributedMark == DB_ResidenceData.residenceData.residecenInfo.RegionID);
            if (ss == null)
            {
                ss = new ShareData();
            }
            CurShareData = ss;
        }
        public string Account = "";

        public string UserName = "";

        public string SubAccountDistributedMark = "";

        public string DistributedMark = "";

        public string Nickname = "";

        public int AccountType = 0;
        /// <summary>
        /// <!--此成员帐号是否具有远程控制权限-->
        /// </summary>
        public bool IsAllowRemoteCtrl = false;
        /// <summary>
        /// 是否允许子账号创建场景
        /// </summary>
        public bool IsAllowCreateScene = false;

        public string headImagePagePath = "LoginIcon/2.png";

        public List<ShareData> sharedDatas = new List<ShareData>();

        public ShareData CurShareData = new ShareData();
    }

    public class ShareData
    {
        /// <summary>
        /// 设备名称
        /// </summary>
        public string ShareName = "";
        /// <summary>
        /// 设备ID
        /// </summary>
        public string DistributedMark = "";
        /// <summary>
        /// 房间ID
        /// </summary>
        public string HouseDistributedMark = "";
        /// <summary>
        /// 子账号ID
        /// </summary>
        public string SubAccountDistributedMark = "";
        /// <summary>
        /// 功能数据
        /// </summary>
        public byte[] ShareDataBytes;

    }
}
