﻿using System;
using System.Collections.Generic;

namespace HDL_ON.Entity
{


    /// <summary>
    /// 房间对象
    /// </summary>
    [Serializable]
    public class Floor
    {
        /// <summary>
        /// 楼层名称
        /// </summary>
        public string name = "1 F";
        /// <summary>
        /// 楼层ID
        /// </summary>
        public string sid;
    }


    /// <summary>
    /// 房间对象
    /// </summary>
    [Serializable]
    public class Room
    {
        /// <summary>
        /// 房间名
        /// </summary>
        public string name = "Room";
        /// <summary>
        /// 房间ID
        /// </summary>
        public string sid;
        /// <summary>
        /// 楼层索引
        /// </summary>
        public string floorId = "";

        /// <summary>
        /// 房间背景
        /// </summary>
        public string backgroundImage = "Classification/Room/Roombg.png";
        /// <summary>
        /// 楼层
        /// </summary>
        public string floor
        {
            get
            {
                if (DB_ResidenceData.residenceData.floors.Count > 0)
                {
                    var f = DB_ResidenceData.residenceData.floors.Find((obj) => obj.sid == floorId);
                    if (f != null)
                    {
                        return f.name;
                    }
                }
                return "";
            }
        }


        /// <summary>
        /// 房间功能列表
        /// </summary>
        [Newtonsoft.Json.JsonIgnore]
        public List<Function> functions = new List<Function>();

        public void RefreshFunctions()
        {
            List<Function> funcList = new List<Function>();
            foreach (var f in DB_ResidenceData.residenceData.functionList.functions)
            {
                if (f.roomIdList.Contains(sid) && sid != null)
                {
                    funcList.Add(f);
                }
            }
            functions = funcList;
        }
    }
}