﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Drawing;

namespace HDL_ON
{
    [System.Serializable]
    public class UserInfo
    {
        /// <summary>
        /// 用户名称
        /// </summary>
        public string userName = "";
        /// <summary>
        /// 用户
        /// </summary>
        public string accountString = "";
        /// <summary>
        /// 用户密码
        /// </summary>
        public string password = "";
        /// <summary>
        /// 用户手机号码
        /// </summary>
        public string userMobileInfo = "";
        /// <summary>
        /// 用户邮箱信息
        /// </summary>
        public string userEmailInfo = "";
        /// <summary>
        /// 用户ID
        /// </summary>
        public int ID;
        /// <summary>
        /// 用户选择显示的语言
        /// </summary>
        public string language = "Chinese";
        /// <summary>
        /// 用户区域
        /// </summary>
        public string areaCode = "86";

        /// <summary>
        /// 用户头像图片
        /// </summary>
        public string headImagePagePath = "LoginIcon/2.png";
        /// <summary>
        /// 用户头像byte数据
        /// </summary>
        public byte[] headImagePageBytes = null;

        /// <summary>
        /// 上一次登录时间
        /// </summary>
        public DateTime lastTime = DateTime.MinValue;

        /// <summary>
        /// 是否是登录状态
        /// </summary>
        public bool IsLogin
        {
            get
            {
                return (DateTime.Now - lastTime).TotalDays < 7;
            }
        }

        public int accountType = 0;

        public int masterID = 0;

        public string loginTokenString
        {
            get
            {
                var result = Encoding.UTF8.GetBytes(password);
                var md5 = new System.Security.Cryptography.MD5CryptoServiceProvider();
                var output = md5.ComputeHash(result);
                var md5Password = BitConverter.ToString(output).Replace("-", "");
                var account_md5Pssword = accountString + ":" + md5Password;
                var tokenBytes = Encoding.UTF8.GetBytes(account_md5Pssword);
                return Convert.ToBase64String(tokenBytes).Replace("=", "%3D");
            }
        }
        /// <summary>
        /// 用户住宅列表
        /// </summary>
        public List<RegionInfoRes> regionList = new List<RegionInfoRes>();

        /// <summary>
        ///  <!--SIP 帐号-->
        ///  可视对讲使用的登录账号
        /// </summary>
        public string SIP_Account;

        public void SaveUserInfo()
        {
            FileUtils.WriteFileByBytes("Register_File", Encoding.UTF8.GetBytes(Newtonsoft.Json.JsonConvert.SerializeObject(this)));
        }

        /// <summary>
        /// 软件解锁界面
        /// 1:启动时
        /// 2:布防撤防时
        /// 3:远程开锁时
        /// </summary>
        //[Newtonsoft.Json.JsonIgnore]
        public List<string> appUnlockPage = new List<string>();
        /// <summary>
        /// 软件解锁方式
        /// 1:数字密码
        /// 2:手势密码
        /// 3:指纹密码
        /// 4:面容ID
        /// </summary>
        public List<string> appUnlockType = new List<string>();
        /// <summary>
        /// 软件解锁密码
        /// </summary>
        //[Newtonsoft.Json.JsonIgnore]
        public string appUnlockPasswrod = "";


        private byte[] convertByte(Image img)
        {
            MemoryStream ms = new MemoryStream();
            img.Save(ms, img.RawFormat);
            //byte[] bytes = new byte[ms.Length];
            //ms.Read(bytes, 0, Convert.ToInt32(ms.Length));
            //以上两句改成下面两句
            byte[] bytes = ms.ToArray();
            ms.Close();
            return bytes;
        }
        private Image convertImg(byte[] datas)
        {
            MemoryStream ms = new MemoryStream(datas);
            Image img = Image.FromStream(ms, true);//在这里出错
                                                   //流用完要及时关闭
            ms.Close();
            return img;
        }
    }
}